<?php
define('NTLCMS', 1);
$module = 'stat';
include ('../system/start.php');
include ('../system/function.php');
include ('../system/antidos.php');
$page_title = 'Страница статистики - клик клуба ' . strtoupper($_SERVER['HTTP_HOST']);
include ('../system/head.php');
echo '<div class="title"><b>'.razd.' Статистика клуба</b></div>';
$desc = DB :: run() -> query("select `login`, `sex` from `users` where `active` = '1' order by `id` desc limit 1") -> fetch(PDO::FETCH_OBJ);
if ($_USER['balans'] >= $set['mincost']){
$pay = '<i class="fa fa-rub fa-fw"></i>';
}
$activated_users = DB :: run() -> querySingle("select count(`id`) from `users` where `active` = '1'");
$new_activated_users = DB :: run() -> querySingle("select count(`id`) from `users` where `active` = '1' and `regdate` > '".mktime(0, 0, 1, date('m'), date('d'), date('Y'))."'");
echo '<div class="menu">';
echo '<i class="fa fa-genderless fa-fw"></i>Участников: <a href="'.URL.'/userlist">'.$activated_users.'</a> чел<br/>';
echo '<i class="fa fa-genderless fa-fw"></i> Администрация: '.ADMINLIST().' чел<br/>';
echo '<i class="fa fa-genderless fa-fw"></i> Забаненных: <a href="'.URL.'/banlist">'.BANLIST().'</a> чел<br/>';
echo '<i class="fa fa-genderless fa-fw"></i> Рефералов: '.ALLREFERALS().' чел<br/>';
echo '<i class="fa fa-genderless fa-fw"></i> Новые участники: '.$new_activated_users.' чел<br/>';
echo '<i class="fa fa-genderless fa-fw"></i> Последн'.($desc && $desc -> sex == '1' ? 'ий' : 'яя').': '.($desc && $desc -> login ? login($desc -> login, 1) : 'Нету').'<br/>';
echo '<i class="fa fa-genderless fa-fw"></i> Сейчас онлайн: <a href="'.URL.'/online"><span style="color:red">'.USERS_ONLINE().'</a></span> чел<br/>';
echo '</div>';
echo '<div class="menu">';
echo '<i class="fa fa-genderless fa-fw"></i> Площадок всего: '.SITEALL().'<br/>';
echo '<i class="fa fa-genderless fa-fw"></i> Площадки активные: '.SITEACTIVE().'<br/>';
echo '<i class="fa fa-genderless fa-fw"></i> Площадки забаненные: '.SITEBLOCK().'<br/>';
echo '<i class="fa fa-genderless fa-fw"></i> Площадки на модерации: '.SITEMOD().'<br/>';
echo '</div>';
$linkday = DB :: run() -> querySingle("select count(`id`) from `sites` where `status` = ? and `active` = ?", array(1, 1));
$mysites = DB :: run() -> querySingle("select count(`id`) from `sites` where `login` = ?", array($ulogin));
echo '<div class="menu">';
echo '<i class="fa fa-genderless fa-fw"></i> Доступно переходов: '.($active ? ($linkday - $mysites) : $linkday).'<br/>';
echo '<i class="fa fa-genderless fa-fw"></i> Переходов сегодня: '.CLICK_DAY().'<br/>';
echo '<i class="fa fa-genderless fa-fw"></i> Переходов всего: '.CLICK_ALL().'<br/>';
echo '</div>';
$musers = DB :: run() -> query("select `max`, `date` from `maxonline` where `id` = ?", array(1)) -> fetch(PDO::FETCH_OBJ);
$mguest = DB :: run() -> query("select `guest`, `gdate` from `maxonline` where `id` = ?", array(1)) -> fetch(PDO::FETCH_OBJ);
$stata = DB :: run() -> query("select * from `count_day` where `date` = '".date('d.m.Y')."' limit 1") -> fetch(PDO::FETCH_OBJ);
$yester = DB :: run() -> query("select * from `count_day` where `date` = '".date('d.m.Y', TIME - 86400)."' limit 1") -> fetch(PDO::FETCH_OBJ);
$totalhost = DB :: run() -> querySingle("select sum(`host`) from `count_day`");
$totalhit = DB :: run() -> querySingle("select sum(`hit`) from `count_day`");
echo '<div class="menu">';
echo '<i class="fa fa-genderless fa-fw"></i> Хостов сегодня: '.((int)$stata -> host).'<br/>';
echo '<i class="fa fa-genderless fa-fw"></i> Хитов сегодня: '.((int)$stata -> hit).'<br/>';
echo '<i class="fa fa-genderless fa-fw"></i> Хостов вчера: '.((int)$yester -> host).'<br/>';
echo '<i class="fa fa-genderless fa-fw"></i> Хитов вчера: '.((int)$yester -> hit).'<br/>';
echo '<i class="fa fa-genderless fa-fw"></i> Хостов всего: '.((int)$totalhost).'<br/>';
echo '<i class="fa fa-genderless fa-fw"></i> Хитов всего: '.((int)$totalhit).'<br/>';
echo '</div>';
echo '<div class="menu">';
echo '<i class="fa fa-genderless fa-fw"></i> В активе: '.coins(CREDIT()).' кр. <br/>';
echo '<i class="fa fa-genderless fa-fw"></i> В банке: '.coins(BANK()).' кр.<br/>';
echo '<i class="fa fa-genderless fa-fw"></i> Всего в клубе: '.coins((BANK() + CREDIT())).' кр.<br/>';
echo '</div>';
echo '<div class="menu">';
echo '<i class="fa fa-genderless fa-fw"></i> Заработано сегодня: '.money(round(DAYPROFIT(), 3)).' '.$pay.' <br/>';
echo '<i class="fa fa-genderless fa-fw"></i> Баланс клуба: '.money(round(SYSMONEY(), 3)).' '.$pay.' <br/>';
echo '<i class="fa fa-genderless fa-fw"></i> Введено средств: '.money(round(INMONEY() + INMERCHANT(), 2)).' '.$pay.'<br/>';
echo '<i class="fa fa-genderless fa-fw"></i> Выплачено средств: '.money(round(OUTMONEY(), 2)).' '.$pay.'<br/>';
if ($_USER['admin'] == '1') echo '<i class="fa fa-genderless fa-fw"></i> Ожидают: Ввод '.INPAYMENT().' чел - '.money((int)INPAYMENTS()).' '.$pay.'<br/>';
if ($_USER['admin'] == '1') echo '<i class="fa fa-genderless fa-fw"></i> Ожидают: Вывод '.OUTPAYMENT().' чел - '.money(round(OUTPAYMENTS(), 2)).' '.$pay.'<br/>';
$lastPayment = OLD_PAYMENT();
if ($lastPayment == '01.01.1970 03:00') {
echo '<i class="fa fa-genderless fa-fw"></i> Посл.выплата: <b>выплат пока не было</b><br/>';
} else {
echo '<i class="fa fa-genderless fa-fw"></i> Посл.выплата: <b>'.$lastPayment.'</b><br/>';
}
echo '</div>'; 
echo '<div class="menu"><i class="fa fa-users fa-fw"></i> <a href="'.URL.'/userlist">Участники клуба</a> <span class="count">'.$activated_users.'</span></div>';
echo '<div class="menu"><i class="fa fa-fa fa-fw"></i> <a href="'.URL.'/rate">Рейтинги клуба</a> <span class="count">9</span></div>';
echo '<div class="block"><i class="fa fa-home fa-fw"></i> '.(isset($active) ? '<a href="'.URL.'/cabinet">В кабинет</a>' : '<a href="'.URL.'">На главную</a>').'</div>';
include ('../system/foot.php');
?>